## libv8-i18n 0~0.svn7

=== debian/changelog ===
libv8-i18n (0~0.svn7-3) unstable; urgency=low

  * Remove symbols file, they are not maintainable. Closes: #673306.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 May 2012 23:20:29 +0200

libv8-i18n (0~0.svn7-2) unstable; urgency=low

  * Rebuild against libv8-3.8.9.20
  * Update symbols file - add external icu symbol.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 11 May 2012 21:28:28 +0200

libv8-i18n (0~0.svn7-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Initial packaging release.
    Closes: #665857.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Apr 2012 00:24:33 +0200
