=== debian/control ===
Source: libv8-i18n
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.69~),
 devscripts,
 debhelper,
 dh-buildinfo,
 d-shlibs (>= 0.51~),
 libicu-dev,
 libv8-dev (>= 3.8),
 gyp
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/v8-i18n/
DM-Upload-Allowed: yes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv8-i18n.git
Vcs-Git: git://anonscm.debian.org/git/collab-maint/libv8-i18n.git

Package: libv8-i18n-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libv8-i18n0.0.0 (= ${binary:Version}),
 ${devlibs:Depends}
Description: Native internationalization extension for libv8 - development files
 libv8 is a high performance ECMAScript engine.
 .
 libv8-i18n is a v8 extension providing internationalization support,
 and will match ECMAScript Internationalization API standard when it
 becomes available.
 .
 This package contains the development files for libv8-i18n extension.

Package: libv8-i18n0.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Native internationalization extension for libv8 - runtime library
 libv8 is a high performance ECMAScript engine.
 .
 libv8-i18n is a v8 extension providing internationalization support,
 and will match ECMAScript Internationalization API standard when it
 becomes available.
 .
 This package includes the dynamic library against which you can link
 your program.

Package: libv8-i18n0.0.0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends},
 libv8-i18n0.0.0 (= ${binary:Version})
Description: Native internationalization extension for libv8 - debugging symbols
 libv8 is a high performance ECMAScript engine.
 .
 libv8-i18n is a v8 extension providing internationalization support,
 and will match ECMAScript Internationalization API standard when it
 becomes available.
 .
 This package provides the debugging symbols for the library.
