=== debian/rules ===
#!/usr/bin/make -f

# This needs to run before inclusion of CDBS snippets
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKGNAME__/$(libpkgname)/g' <debian/control.in.in >debian/control.in

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk


DEB_DESTDIR = $(CURDIR)/debian/tmp

CXXFLAGS += -fPIC

# get svn revision number, needed by get-orig-source
svnrev = $(shell echo $(DEB_UPSTREAM_VERSION) | cut -f 2 -d '~' | cut -f 2 -d 'n')
# unmaintained upstream soname. Most likely will change with each update.
soname = 0.0.0
lib_version = 0.0
libname = libv8-i18n
libpkgname = $(libname)$(soname)
libSoname = $(libname).so.$(soname)
libout = $(CURDIR)/out/Default/lib.target/$(libSoname)

V=1
export V


pre-build::
	gyp build/all.gyp --depth=. -Dsoname_version=$(soname) -Dlibrary_type=shared_library

clean::
	rm -f Makefile
	rm -f build/all.Makefile
	rm -f build/api2c.host.mk
	rm -f build/v8-i18n.target.mk
	rm -rf out

binary-install/$(libpkgname)::
	mkdir -p debian/tmp/usr/lib ; \
	cd debian/tmp/usr/lib ; \
	cp $(libout) $(libSoname).$(lib_version) ; \
	ln -s -T $(libSoname).$(lib_version) $(libSoname) ; \
	ln -s -T $(libSoname) $(libname).so ;
	mkdir -p debian/tmp/usr/include ; \
	cd debian/tmp/usr/include ; \
	cp $(CURDIR)/include/extension.h i18n-extension.h ;

get-orig-source:
ifneq ($(shell which svn2cl),)	
	mkdir -p ../tarballs/ ; \
	cd ../tarballs ; \
	svn checkout http://v8-i18n.googlecode.com/svn/trunk/ -r $(svnrev) $(libname)-$(DEB_UPSTREAM_VERSION) ; \
	cd $(libname)-$(DEB_UPSTREAM_VERSION) ; \
	svn2cl --authors=$(CURDIR)/debian/svn2cl_authors ; \
	cd .. ; \
	tar cv --exclude-vcs $(libname)-$(DEB_UPSTREAM_VERSION) | gzip -9c > $(libname)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ;
else
	echo "Missing svn2cl. Please install subversion-tools package."
endif

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
	d-shlibmove --commit \
		--exclude-a \
		--exclude-la \
		--devunversioned \
		--override  s/$(libpkgname)-dev/$(libname)-dev/ \
		debian/tmp/usr/lib/$(libname).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(libname)
